Bug 301823 - kde-im crash
Summary: kde-im crash
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: contactlist (show other bugs)
Version: git-latest
Platform: Ubuntu Packages Linux
: NOR crash
Target Milestone: 0.4.0
Assignee: Telepathy Bugs
URL:
Keywords: reproducible
Depends on:
Blocks:
 
Reported: 2012-06-13 16:20 UTC by iblog
Modified: 2012-07-06 12:47 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 0.4.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description iblog 2012-06-13 16:20:55 UTC
Application: ktp-contactlist (0.3)
KDE Platform Version: 4.8.3 (4.8.3)
Qt Version: 4.8.1
Operating System: Linux 3.2.0-24-generic x86_64
Distribution: Ubuntu 12.04 LTS

-- Information about the crash:
- What I was doing when the application crashed:

i klicked with the right mouse button in the whole field "Online" and than with the right mouse button in the field "online". after that the app crashes.

-- Backtrace:
Application: KDE-Telepathy-Kontaktliste (ktp-contactlist), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7ff063273780 (LWP 9243))]

Thread 2 (Thread 0x7ff050916700 (LWP 9244)):
#0  0x00007ff05f98c0bd in read () from /lib/x86_64-linux-gnu/libc.so.6
#1  0x00007ff05c61f88f in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ff05c5e4abd in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ff05c5e4f96 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007ff05c5e5124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007ff06152c426 in QEventDispatcherGlib::processEvents (this=0x7ff04c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007ff0614fbc82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007ff0614fbed7 in QEventLoop::exec (this=0x7ff050915dd0, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007ff0613fafa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#9  0x00007ff0614db9ff in QInotifyFileSystemWatcherEngine::run (this=0x1a6b9c0) at io/qfilesystemwatcher_inotify.cpp:248
#10 0x00007ff0613fdfcb in QThreadPrivate::start (arg=0x1a6b9c0) at thread/qthread_unix.cpp:298
#11 0x00007ff05cebce9a in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#12 0x00007ff05f9994bd in clone () from /lib/x86_64-linux-gnu/libc.so.6
#13 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7ff063273780 (LWP 9243)):
[KCrash Handler]
#6  QWidget::setContextMenuPolicy (this=0x0, policy=Qt::NoContextMenu) at kernel/qwidget.cpp:7306
#7  0x00007ff06017fe94 in QWidget::event (this=0x1a30900, event=0x7fffe614a410) at kernel/qwidget.cpp:8529
#8  0x000000000043586c in GlobalPresenceChooser::event (this=0x1a30900, e=0x7fffe614a410) at /build/buildd/ktp-contact-list-0.3.1/global-presence-chooser.cpp:293
#9  0x00007ff06012f894 in notify_helper (e=0x7fffe614a410, receiver=0x1a30900, this=0x18af1f0) at kernel/qapplication.cpp:4559
#10 QApplicationPrivate::notify_helper (this=0x18af1f0, receiver=0x1a30900, e=0x7fffe614a410) at kernel/qapplication.cpp:4531
#11 0x00007ff060134bcd in QApplication::notify (this=<optimized out>, receiver=0x1a30900, e=0x7fffe614a410) at kernel/qapplication.cpp:4181
#12 0x00007ff062180bb6 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#13 0x00007ff0614fce9c in QCoreApplication::notifyInternal (this=0x7fffe614b0c0, receiver=0x1a30900, event=0x7fffe614a410) at kernel/qcoreapplication.cpp:876
#14 0x00007ff0601afc58 in sendSpontaneousEvent (event=0x7fffe614a410, receiver=0x1a30900) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:234
#15 QETWidget::translateMouseEvent (this=<optimized out>, event=<optimized out>) at kernel/qapplication_x11.cpp:4622
#16 0x00007ff0601aebae in QApplication::x11ProcessEvent (this=0x7fffe614b0c0, event=0x7fffe614acb0) at kernel/qapplication_x11.cpp:3732
#17 0x00007ff0601d80d2 in x11EventSourceDispatch (s=0x18b1920, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#18 0x00007ff05c5e4c9a in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#19 0x00007ff05c5e5060 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#20 0x00007ff05c5e5124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#21 0x00007ff06152c3bf in QEventDispatcherGlib::processEvents (this=0x187e4b0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#22 0x00007ff0601d7d5e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#23 0x00007ff0614fbc82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#24 0x00007ff0614fbed7 in QEventLoop::exec (this=0x7fffe614b050, flags=...) at kernel/qeventloop.cpp:204
#25 0x00007ff061500f67 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#26 0x000000000041b2c0 in main (argc=1, argv=0x7fffe614b398) at /build/buildd/ktp-contact-list-0.3.1/main.cpp:62

Possible duplicates by query: bug 300179, bug 298226, bug 294020.

Reported using DrKonqi
Comment 1 Dominik Cermak 2012-06-13 16:30:37 UTC
Confirmed, actually it doesn't matter what you do after right clicking the line edit while in edit mode (presence message) contactlist always crashes.
Comment 2 Martin Klapetek 2012-06-13 18:45:21 UTC
Git commit 9553c2d1178a90b8eeb4580824d3d974b7bb9daa by Martin Klapetek.
Committed on 13/06/2012 at 20:39.
Pushed by mklapetek into branch 'kde-telepathy-0.4'.

Fix crash with context menu on lineedit

Now we get the menu from lineEdit() and handle it ourselves, so we can properly check if it's shown or hidden in FocusOut event.

Reviewed-by: David Edmundson
FIXED-IN: 0.4.1

M  +23   -2    global-presence-chooser.cpp
M  +2    -0    global-presence-chooser.h

http://commits.kde.org/telepathy-contact-list/9553c2d1178a90b8eeb4580824d3d974b7bb9daa